Runtime History

The FxFactory Runtime is the component of our software that loads native plug-ins inside supported video applications. Compositions created with FxCore or Quartz Composer are used to render the final output. Below are the most important milestones in our software, when significant changes were made to the hardware and software they support.

  • FxFactory 8.0

    macOS 11.15.1

    First version to require FxPlug 4 and Final Cut Pro 10.6 (or later) on all Macs.

  • FxFactory 7.2.6

    macOS 10.14.6

    First version to support FxPlug 4 in Final Cut Pro 10.6 (or later) on Macs equipped with an Intel processor.

  • FxFactory 7.2.5

    macOS 10.14.6

    First version to support FxPlug 4 in Final Cut Pro 10.5.3 (or later) on Macs equipped with an M1 processor.

  • FxFactory 7.1

    macOS 10.12

    First version to support Mercury Engine GPU acceleration with OpenCL and Metal in After Effects 16.0 or later, for plug-ins based on OpenGL or Metal.

  • FxFactory 7.0

    macOS 10.12

    First version to support Mercury Engine GPU acceleration with OpenCL and Metal in Premiere Pro 11.1 or later, for plug-ins based on OpenGL or Metal. First version to require macOS 10.12.

  • FxFactory 6.0.4

    macOS 10.11

    First version to support FxCore-based products on systems with a graphics processor (GPU) that supports Metal.

  • FxFactory 6.0.0

    Mac OS X 10.11

    First version to require OS X El Capitan (or later), and to officially support Mac OS X Sierra 10.12.

  • FxFactory 5.0.6

    Mac OS X 10.10

    First version to support OS X El Capitan.

  • FxFactory 5.0.2

    Mac OS X 10.10

    First version to require OS X Yosemite (or later), Final Cut Pro 10.2 (or later) and Motion 5.2 (or later).

  • FxFactory 5.0.1

    Mac OS X 10.9

    Last version to support CS6, Final Cut Pro 10.1 and Motion 5.1.

  • FxFactory 5.0.0

    Mac OS X 10.9

    First version to require OS X Mavericks (or later) and to support 64-bit hosts exclusively.

  • FxFactory 4.1.9

    Mac OS X 10.7

    Last version to support OS X Lion, OS X Mountain Lion, After Effects CS5 and CS5.5, Final Cut Pro 7 and Motion 4.

  • FxFactory 4.0.0

    Mac OS X 10.7

    First version to support Premiere Pro, starting with version 6 (CS6).

  • FxFactory 3.0.5

    Mac OS X 10.7

    First version to require OS X Lion, and 64-bit versions of After Effects.

  • FxFactory 3.0.4

    Mac OS X 10.6

    Last version to support OS X Snow Leopard, After Effects CS3 and CS4.

  • FxFactory 2.6.3

    Mac OS X 10.6

    First version to support hardware-assisted OpenGL anti-aliasing in effects that are rendered in the background by Final Cut Pro X, Motion 5 and Compressor 4. First version to drop support for the NVIDIA GeForce 7300/7600 and NVIDIA Quadro 4500 since these cards do not support the EXT_framebuffer_multisample and EXT_framebuffer_blit OpenGL extensions.

  • FxFactory 2.6.1

    Mac OS X 10.6

    Last version to support NVIDIA GeForce 7300/7600 and NVIDIA Quadro 4500. Not capable of rendering compositions that required hardware-assisted OpenGL anti-aliasing (FSAA) in Final Cut Pro X, Motion 5 and Compressor 4.

  • FxFactory 2.6.0

    Mac OS X 10.5

    First version to support Final Cut Pro X and Motion 5, via 64-bit FxPlug. Last version to support OS X Leopard 10.5.8. Not capable of rendering compositions that required hardware-assisted OpenGL anti-aliasing (FSAA) in Final Cut Pro X, Motion 5 and Compressor 4.

  • FxFactory 2.5.7

    Mac OS X 10.5

    First version to support Adobe After Effects CS5.5.

  • FxFactory 2.5.3

    Mac OS X 10.5

    Last version to support Macs with PowerPC processors.

  • FxFactory 2.1.5

    Mac OS X 10.5

    First version capable of running at 64-bit, in order to support Adobe After Effects CS5.

  • FxFactory 2.0.4

    Mac OS X 10.5

    First version to support Adobe After Effects CS3.

  • FxFactory 2.0.3

    Mac OS X 10.4

    Last version to support OS X Tiger 10.4.11, Final Cut Pro 5.1.2 and Motion 2.1.2.

  • FxFactory 2.0.0

    Mac OS X 10.4

    First version to support Final Cut Express 4.

  • FxFactory 1.0.x

    Mac OS X 10.4

    Early versions of FxFactory required an ATI Radeon 9600 (or later models) or NVIDIA GeForce GT 6800 (or later models). No version of FxFactory has ever supported Intel GMA graphics cards or the NVIDIA GeForce FX 5200.